#
# spec file for package ocaml-odn
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ocaml-odn
Version:        0.0.11
Release:        1.1
%{ocaml_preserve_bytecode}
Summary:        Store data using OCaml notation
License:        LGPL-2.1+
Group:          Development/Libraries/Other

Url:            http://forge.ocamlcore.org/projects/odn/
Source0:        https://forge.ocamlcore.org/frs/download.php/1029/ocaml-data-notation-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# ocaml autodep start for pkg: ocaml-odn
# hardcoded rpm dependency for pre 12.1 to compensate for lack of ocaml() provides/requires
%if 0%{?suse_version} < 1210
Requires:       ocaml-camlp4 ocaml-compiler-libs ocaml-runtime ocaml-type-conv
%endif
# ocaml autodep end for pkg: ocaml-odn
Provides:       ocaml-data-notation
BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-rpm-macros >= 4.03
BuildRequires:  ocamlfind(camlp4.lib)
BuildRequires:  ocamlfind(camlp4.quotations.o)
BuildRequires:  ocamlfind(findlib)
BuildRequires:  ocamlfind(type_conv)

%description
This project uses type-conv to dump OCaml data structure using OCaml
data notation. This kind of data dumping helps to write OCaml code
generator, like OASIS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Provides:       ocaml-data-notation-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.
%prep
%setup -n ocaml-data-notation-%{version}

%build
%ocaml_oasis_configure --enable-docs
%ocaml_oasis_build
%ocaml_oasis_doc

%install
%ocaml_oasis_findlib_install

%files
%defattr(-,root,root,-)
%doc COPYING.txt
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.cmxs
%endif

%files devel
%defattr(-,root,root,-)
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.cmxa
%endif
%{_libdir}/ocaml/*/*.cma
%{_libdir}/ocaml/*/*.cmi
%{_libdir}/ocaml/*/*.ml
%{_libdir}/ocaml/*/META

%changelog
* Mon May 30 2016 ohering@suse.de
- Fix build with ocaml-4.03 (fate#320836)
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Fri May  2 2014 ohering@suse.de
- Update to version 0.0.11
* Mon Jun  3 2013 ohering@suse.de
- Recompress with xz
* Fri May 31 2013 ohering@suse.de
- initial pacakge version ocaml-data-notation-0.0.10.tar.gz
